ServerResponder
ServerResponder
#include <icy/http/server.h>Base responder interface for handling one HTTP request on a server connection. Derived classes typically override [onRequest()](#onrequest) and optionally the streaming hooks.
Public Methods
| Return | Name | Description |
|---|---|---|
ServerResponder inline | Creates a ServerResponder for the given connection. | |
void | onHeaders virtual inline | Called when the incoming request headers have been parsed. |
void | onPayload virtual inline | Called for each chunk of incoming request body data. |
void | onRequest virtual inline | Called when the complete HTTP request has been received. Derived classes should write their response here. |
void | onClose virtual inline | Called when the connection is closed. |
ServerConnection & | connection inline | Returns the underlying server connection. |
Request & | request inline | Returns the current HTTP request from the underlying connection. |
Response & | response inline | Returns the current HTTP response from the underlying connection. |
ServerResponder
inline
inline ServerResponder(ServerConnection & connection)Creates a ServerResponder for the given connection.
Parameters
connectionThe server connection this responder handles.
onHeaders
virtual inline
virtual inline void onHeaders(Request & request)Called when the incoming request headers have been parsed.
Parameters
requestThe parsed HTTP request with headers populated.
onPayload
virtual inline
virtual inline void onPayload(const MutableBuffer & body)Called for each chunk of incoming request body data.
Parameters
bodyBuffer containing a chunk of the request body.
onRequest
virtual inline
virtual inline void onRequest(Request & request, Response & response)Called when the complete HTTP request has been received. Derived classes should write their response here.
Parameters
requestThe fully received HTTP request.responseThe HTTP response to populate and send.
onClose
virtual inline
virtual inline void onClose()Called when the connection is closed.
connection
inline
inline ServerConnection & connection()Returns the underlying server connection.
request
inline
inline Request & request()Returns the current HTTP request from the underlying connection.
response
inline
inline Response & response()Returns the current HTTP response from the underlying connection.
Protected Attributes
| Return | Name | Description |
|---|---|---|
ServerConnection & | _connection |
_connection
ServerConnection & _connectionPrivate Methods
| Return | Name | Description |
|---|---|---|
ServerResponder | Deleted constructor. |
ServerResponder
ServerResponder(const ServerResponder &) = deleteDeleted constructor.
